Data Integration Library (DIL) API

Overview, getting started, and code methods available in the Audience Manager DIL code library.

Important:

Starting with version 8.0 (released August 2018), DIL has a hard dependency on the Experience Cloud ID Service, version 3.3 or higher. It relies on the ID Service to fire ID syncs and URL destinations. An error occurs if the ID Service is missing, old, or not configured.

We recommend you use Adobe Launch to implement and manage your DIL and Experience Cloud ID Service libraries.

However, you can also download the latest Experience Cloud and DIL releases from our GitHub page. See download links below: